<?php


add_filter('timber/context', function($context) {
    $current_category = get_queried_object(); // Получаем текущую категорию

    $args = array(
        'post_type'      => 'post',
        'posts_per_page' => 3, // Количество постов
        'orderby'        => 'meta_value_num',
        'key'       => 'post_views', // Поле плагина для подсчёта просмотров
        'order'          => 'DESC', // Сортировка по убыванию
    
        // Условие для фильтрации по текущей категории
        'category__in'   => $current_category ? array($current_category->term_id) : '',
    );
    
    $most_read_query = new WP_Query($args);
    $most_read = new Timber\PostQuery($most_read_query);
    
    $context['most_read'] = $most_read;
    return $context;
});
